<center><h4>АККАУНТ</H4><hr>
| <a href="index.php?id=reg_false">Регистрация</a> 
| <a href="index.php?id=changepassword2">Сменить пароль</a> 
|<a href=http://support.lin2dream.ru>Написать GMу</a>|<br><hr>
 </center>  
<H4>Регистрация</h4>
<br><BR><ul>
<LI> Аккаунт и пароль не могут быть пустыми.<BR>
<LI> Аккаунт и пароль не могут содержать менее 4 знаков
и больее 15 знаков.<BR>
<LI>Аккаунт и пароль пишутся латинскими буквами или цифрами.<BR><BR><BR>
</ul>

<script type="text/javascript">//<![CDATA[
function isAlphaNumeric(value)
{
  if (value.match(/^[a-zA-Z0-9]+$/))
    return true;
  else
    return false;
}
function checkform(f)
{
  if (f.account.value=="")
  {
    alert("Заполните все поля формы");
    return false;
  }
  if (!isAlphaNumeric(f.account.value))
  {
    alert("Заполните все поля формы");
    return false;
  }
  if (f.password.value=="")
  {
    alert("Не введен пароль");
    return false;
  }
  if (!isAlphaNumeric(f.password.value))
  {
    alert("444444");
    return false;
  }
  if (f.password2.value=="")
  {
    alert("Не введен повтор пароля");
    return false;
  }
  if (f.password.value!=f.password2.value)
  {
    alert("Не совпадает пароль");
    return false; 
  }
  return true;
}
//]]></script>
<form method="post" action="index.php?id=reg_false" onsubmit="return checkform(this)">
<table>
 <tr>
  <td>Логин</td>
  <td><input type="text" name="account" maxlength="15" /></td>
 </tr>
 <tr>
  <td>Пароль</td>
  <td><input type="password" name="password" maxlength="15" /></td>
 </tr>
 <tr>
  <td>Повторить пароль</td>
  <td><input type="password" name="password2" maxlength="15" /></td>
 </tr>
 <tr>
  <td colspan="2" style="text-align: center;"><br />
  <input type="submit" name="submit" value="Регистрация" /></td>
 </tr>
</table>
</form>

<?php
if(ereg("^([a-zA-Z0-9_-])*$", $_POST['account']) && ereg("^([a-zA-Z0-9_-])*$", $_POST['password']) && ereg("^([a-zA-Z0-9_-])*$", $_POST['password2']))
{
	if ($page="index.php" && $_POST['account'] && strlen($_POST['account'])<16 && strlen($_POST['account'])>3 && $_POST['password'] && $_POST['password2'] && $_POST['password']==$_POST['password2'])
	{	
		$check=mysql_query("select * from accounts where login='".$_POST['account']."'");
		$check1=mysql_num_rows($check);
		if($check1>0)
		{
			echo "<p clss='error'><b>Ошибка  при регистрации: такой аккаунт уже сущетвует.</b></p>";
		}
		else
		{
	  		mysql_query("INSERT INTO accounts (login, password, access_level) VALUES ('".$_POST['account']."', '".base64_encode(pack('H*', sha1($_POST['password'])))."', 0)", $link);
  			mysql_close($link);
	 		print '<p class="error"><b>Регистрация прошла успешно</b></p>';
		}
	}
	else
	{
  	print '<p class="error"><b> </b></p>'.mysql_error();
	}
}
else
{
	echo "Введенные вами данные не прошли проверку на безопасность. Пожалуйста, попробуйте зарегистрироваться с другим логином и паролем.";
}
?>
<br><br><br><br><br><br>
           
            
 